List secrets in organization
Lists the secrets of an organization, or of a project: its own and those its organization shares with it.
GET
Lists the secrets of an organization, or of a project: its own and those its organization shares with it.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
organization*stringThe organization's ID.
Match
^org_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of items to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
nextPageToken*stringToken for the next page; empty on the last page.
secrets*array<>Secrets, oldest first.
curl -X GET 'https://api.kosem.ai/v1/organizations/string/secrets'Example Response
{
"nextPageToken": "string",
"secrets": [
{
"alias": "string",
"availability": {
"allProjects": true,
"projects": [
"string"
]
},
"createTime": "2019-08-24T14:15:22Z",
"description": "string",
"etag": "string",
"latestVersion": 0,
"name": "string",
"source": "string",
"updateTime": "2019-08-24T14:15:22Z"
}
]
}